package gve.calc.formula;

public interface HasCursorPos extends ActivationListener {
	public static final int Somewhere_LEFT = -1;
	public static final int Somewhere_RIGHT = -2;
	public static final int Somewhere_TOP = -3;
	public static final int Somewhere_BOTTOM = -4;
	public static final int Somewhere = -5;
	public static final int Somewhere_NOWHERE = -6;
	/** MYRIGHT and MYLEFT differ from RIGHT and LEFT:
	 * in the case of a binary operator (e.g. "a+b"),
	 * LEFT means at the left of the leftmost argument (so at the left of the "a"),
	 * while MYLEFT means at the left of the operator itself
	 * (so between "a" and "+") */
	public static final int Somewhere_MYLEFT = -7;
	public static final int Somewhere_MYRIGHT = -8;

	public void setCursorPos(int pos);

	public int getCursorPos();
}
