package gve.calc.formula;



import awt.*;

import java.awt.*;

import awt.Button;

import java.awt.event.*;

import gve.calc.logic.TableauPart;

import gve.calc.logic.OperatorModel;



public class OperatorBooleanView extends InfixBinaryOpView implements ActionListener 

{	public OperatorBooleanView(OperatorBoolean model,FormulaView view,Component operatorView) 

	{	super(model,view,operatorView);

	}

	

	public Component createPopup(int x,int y) 

	{	OperatorBoolean model = (OperatorBoolean)getModel();

		Button b;

		byte kind = model.getKind();

		Container cont = new Panel();

		cont.setLayout(new GridPackLayout(0,1));

		boolean empty = true;

				

		// is this the main operator of a formula on the left/right of a |> operator?

		if (kind == OperatorBoolean.AND) 

		{	Part p = (Part)getModel();

			while (p.parent instanceof OperatorComma) p = p.parent;

			if (p.parent instanceof OperatorModel

				&& ((OperatorModel)p.parent).getKind()==OperatorModel.TRIANGLE

				&& !TableauPart.hasReduction(p.parent)) 

			{	cont.add(b = new Button("Reduce in tableau"));

				empty = false;

				b.addActionListener(this);

			}

		} 

		else if (kind==OperatorBoolean.OR || kind==OperatorBoolean.XOR || 

		kind==OperatorBoolean.IMPLIES || kind==OperatorBoolean.EQUIV) 

		{	Part p = (Part)getModel();

			while (p.parent instanceof OperatorComma) p = p.parent;

			cont.add(b = new Button("Rewrite with not/and"));

			empty = false;

			b.addActionListener(this);

		}

		if (!empty) return cont;

		return null;

	}





} //einde OperatorBooleanView   