package gve.calc.formula;

public interface ActivationListener {
	/** When deactivate() or activate() want to change the formula
	 * tree structure (e.g. call formula.replace()), they first should check
	 * if their FormulaView.isReplacing() returns false (indicating that
	 * the formula is not in the middle of another replace() operation).
	 * See IdentifierView.replace(). */
	public void deactivate();
	public void activate();
}
